### A free/open-source library for quantitative finance

Public Member Functions
LossDistMonteCarlo Class Reference

Loss distribution with Monte Carlo simulation. More...

`#include <ql/experimental/credit/lossdistribution.hpp>`

Inheritance diagram for LossDistMonteCarlo:
[legend]

List of all members.

## Public Member Functions

| LossDistMonteCarlo (Size nBuckets, Real maximum, Size simulations, long seed=42, Real epsilon=1e-6)
Distribution | operator() (const std::vector< Real > &volumes, const std::vector< Real > &probabilities) const
Size | buckets () const
Real | maximum () const

## Detailed Description

Loss distribution with Monte Carlo simulation.

Loss distribution for varying volumes and probabilities of default via Monte Carlo simulation of independent default events.